LinuxQMISDK: swiPDPRuntimeSettingsResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
swiPDPRuntimeSettingsResp Struct Reference

## Data Fields
BYTE * | pContextId
BYTE * | pBearerId
CHAR * | pAPNName
ULONG * | pIPv4Address
ULONG * | pIPv4GWAddress
ULONG * | pPrDNSIPv4Address
ULONG * | pSeDNSIPv4Address
struct IPV6AddressInfo * | pIPv6Address
struct IPV6AddressInfo * | pIPv6GWAddress
WORD * | pPrDNSIPv6Address
WORD * | pSeDNSIPv6Address
ULONG * | pPrPCSCFIPv4Address
ULONG * | pSePCSCFIPv4Address
WORD * | pPrPCSCFIPv6Address
WORD * | pSePCSCFIPv6Address

## Detailed Description

This structure contains the response parameters retrieved by the API SLQSWdsSwiPDPRuntimeSettings

Parameters

  pContextId | (optional) Context Identifier 0xFF - Not Available
  pBearerId | (optional) Bearer Identity An EPS bearer identity uniquely identifies an EPS bearer for one UE accessing via E-UTRAN. The EPS Bearer Identity is allocated by the MME. 0xFF - Not Available
  pAPNName | (optional) APN name associated with the context id NULL terminated by default.
  pIPv4Address | (optional) IPv4 Address 0xFFFF - Not Available
  pIPv4GWAddress | (optional) IPv4 Gateway Address 0xFFFF - Not Available
  pPrDNSIPv4Address | (optional) Primary DNS IPv4 Address 0xFFFF - Not Available
  pSeDNSIPv4Address | (optional) Secondary DNS IPv4 Address 0xFFFF - Not Available
  pIPv6Address | (optional) IPv6 Address See IPV6AddressInfo for more information
  pIPv6GWAddress | (optional) IPv6 Gateway Address See IPV6AddressInfo for more information
  pPrDNSIPv6Address | (optional) Primary IPv6 DNS Address(in network byte order) This is an 8-element array of 16-bit numbers, each of which is in big-endian format
  pSeDNSIPv6Address | (optional) Secondary IPv6 DNS Address(in network byte order) This is an 8-element array of 16-bit numbers, each of which is in big-endian format
  pPrPCSCFIPv4Address | (optional) Primary PCSCF IPv4 Address
  pSePCSCFIPv4Address | (optional) Secondary PCSCF IPv4 Address
  pPrPCSCFIPv6Address | (optional) Primary PCSCF IPv6 Address This is an 8-element array of 16-bit numbers, each of which is in big-endian format
  pSePCSCFIPv6Address | (optional) Secondary PCSCF IPv6 Address This is an 8-element array of 16-bit numbers, each of which is in big-endian format

Note
  Parameters which are mentioned as NULL will be ignored.

## Field Documentation

CHAR* swiPDPRuntimeSettingsResp::pAPNName

BYTE* swiPDPRuntimeSettingsResp::pBearerId

BYTE* swiPDPRuntimeSettingsResp::pContextId

ULONG* swiPDPRuntimeSettingsResp::pIPv4Address

ULONG* swiPDPRuntimeSettingsResp::pIPv4GWAddress

struct IPV6AddressInfo* swiPDPRuntimeSettingsResp::pIPv6Address

struct IPV6AddressInfo* swiPDPRuntimeSettingsResp::pIPv6GWAddress

ULONG* swiPDPRuntimeSettingsResp::pPrDNSIPv4Address

WORD* swiPDPRuntimeSettingsResp::pPrDNSIPv6Address

ULONG* swiPDPRuntimeSettingsResp::pPrPCSCFIPv4Address

WORD* swiPDPRuntimeSettingsResp::pPrPCSCFIPv6Address

ULONG* swiPDPRuntimeSettingsResp::pSeDNSIPv4Address

WORD* swiPDPRuntimeSettingsResp::pSeDNSIPv6Address

ULONG* swiPDPRuntimeSettingsResp::pSePCSCFIPv4Address

WORD* swiPDPRuntimeSettingsResp::pSePCSCFIPv6Address